Subject: Bug#1144: [X2Go-Dev] X2GoClient connects but displays nothing

From: Mihai Moldovan <[email-masked]>
Date: Fri, 3 Feb 2017 16:05:13 +0100

On 03.02.2017 11:33 AM, Willie Nel wrote:
> When connecting to a remote X2go server from a Mac running MACOS Sierra the
> client opens the conneections, and either sometimes fails with a
> MIT-MAGIC-COOKIE -1 error, or goes through most of the hoops and finally
> having connected, just ends up with an empty session
> 
> Here is the —debug log from my attempts

Uhoh... it's using the *compat* mode? That should only happen on 10.4. 10.5 and
higher normally have the DISPLAY variable set and launchd automatically handles
starting the X11 server via socket-access-detection. Obviously this code should
not be triggered at all on 10.12.

Are you positive XQuartz is installed? I hope you re-logged in after installing
XQuartz once?

If yes, can you please spawn a local shell and get the DISPLAY value via "echo
$DISPLAY"?

Mihai